<?php
if (!defined('WPINC')) { die; }

/* Display Anywhere using Shortcode: [i20_Sidebar_Widgets] */

function sw_custom_plugin_form_display($atts, $content = NULL){
	extract(shortcode_atts(array(
	'el_class' => '',
	'el_id' => '',
	),$atts));
	
	$feedurls = [];
	
	if (get_option('category_miscellaneous') == "category_miscellaneous") {
		array_push($feedurls, "https://jharaphula.com/category/miscellaneous/feed/");
	}
	
	if (get_option('category_digitalization') == "category_digitalization") {
		array_push($feedurls, "https://jharaphula.com/category/computer-digitalization/feed/");
	}
	
	if (get_option('category_health') == "category_health") {
		array_push($feedurls, "https://jharaphula.com/category/health-care-news/feed/");
	}
	
	if (get_option('category_business_bay') == "category_business_bay") {
		array_push($feedurls, "https://jharaphula.com/category/business-radar/feed/");
	}
	
	if (get_option('category_automobiles') == "category_automobiles") {
		array_push($feedurls, "https://jharaphula.com/category/automobiles/feed/");
	}
	
	if (get_option('category_horoscope') == "category_horoscope") {
		array_push($feedurls, "https://jharaphula.com/category/horoscope-astrology-signs/feed/");
	}
	
	if (get_option('category_makeup') == "category_makeup") {
		array_push($feedurls, "https://jharaphula.com/category/tips-for-women/makeup-beauty-tips/feed/");
	}
	
	if (get_option('category_tourism') == "category_tourism") {
		array_push($feedurls, "https://jharaphula.com/category/guide-for-travel-tourism/feed/");
	}
	
	if (get_option('category_career') == "category_career") {
		array_push($feedurls, "https://jharaphula.com/category/career-job-seekers/feed/");
	}
	
	if (get_option('category_financial_advisor') == "category_financial_advisor") {
		array_push($feedurls, "https://jharaphula.com/category/financial-help/feed/");
	}
	
	if (get_option('category_educational') == "category_educational") {
		array_push($feedurls, "https://jharaphula.com/category/online-education/feed/");
	}
	
	if (get_option('category_insurance') == "category_insurance") {
		array_push($feedurls, "https://jharaphula.com/category/insurance-handbook/feed/");
	}
	
	if (get_option('category_home_decor') == "category_home_decor") {
		array_push($feedurls, "https://jharaphula.com/category/home-decor/feed/");
	}
	
	if (get_option('category_skincare') == "category_skincare") {
		array_push($feedurls, "https://jharaphula.com/category/health-care-news/skin-care-tips/feed/");
	}
	
	if (get_option('category_blogging') == "category_blogging") {
		array_push($feedurls, "https://jharaphula.com/category/blog-board/feed/");
	}
	
	if (get_option('category_real_estate') == "category_real_estate") {
		array_push($feedurls, "https://jharaphula.com/category/real-estate/feed/");
	}
	
	if (get_option('category_technologies') == "category_technologies") {
		array_push($feedurls, "https://jharaphula.com/category/world-of-technologies/feed/");
	}
	
	if (get_option('category_shopping') == "category_shopping") {
		array_push($feedurls, "https://jharaphula.com/category/shopping-tips/feed/");
	}
	
	if (get_option('category_sports') == "category_sports") {
		array_push($feedurls, "https://jharaphula.com/category/for-sports-lovers/feed/");
	}
	
	if (get_option('category_meditation') == "category_meditation") {
		array_push($feedurls, "https://jharaphula.com/category/yoga-meditation/feed/");
	}
	
	if (get_option('category_hair_care') == "category_hair_care") { 
		array_push($feedurls, "https://jharaphula.com/category/hair-care-solutions/feed/");
	}	
	
	if (get_option('category_recipes') == "category_recipes") {
		array_push($feedurls, "https://jharaphula.com/category/awesome-recipes/feed/");
	}
	
	if (get_option('category_dating') == "category_dating") {
		array_push($feedurls, "https://jharaphula.com/category/love-dating-romance/feed/");
	}
	
	if (get_option('category_kids') == "category_kids") {
		array_push($feedurls, "https://jharaphula.com/category/lessons-for-kids/feed/");
	}
	
	if (get_option('category_digital_marketing') == "category_digital_marketing") {
		array_push($feedurls, "https://jharaphula.com/category/digital-marketing-solutions/feed/");
	}
	
	if (get_option('category_fashion') == "category_fashion") {
		array_push($feedurls, "https://jharaphula.com/category/fashion-brings-fantacy/feed/");
	}
	
	if (get_option('category_weight_loss') == "category_weight_loss") {
		array_push($feedurls, "https://jharaphula.com/category/weight-loss-solutions/feed/");
	}
	
	if (get_option('category_seo_blog') == "category_seo_blog") {
		array_push($feedurls, "https://jharaphula.com/category/free-seo-training-tools/feed/");
	}
	
	if (count($feedurls) == 0) {
		array_push($feedurls, "https://jharaphula.com/feed/");
	}
	
	shuffle($feedurls);
	
	$rss_feed = simplexml_load_file($feedurls[wp_rand(0,count($feedurls) - 1)]);
	
	$out ='';	
	
	if (get_option('sel_border') == 1) { 
		$out .='<div class="border-onestop" style="height: ' . get_option('height_of_i20_sidebar_id') . 'px;">';
	} else {
		$out .='<div class="noborder-onestop" style="height: ' . get_option('height_of_i20_sidebar_id') . 'px;">';
	}
	
	if (!empty($rss_feed)) { 
	
	$i = 0;
	
	foreach ($rss_feed->channel->item as $feed_item) {
	
		if ($i >= get_option('how_many_records_id')) break; 
		{
			$animals[$i] = [$feed_item->link, array_slice(explode('<p>', $feed_item->description), 0, 20)[0], $feed_item->title, substr(array_slice(explode('<p>', $feed_item->description), 0, 20)[1], 0, -7)];
		}
	
		$i ++; 
	}
	
	shuffle($animals);
	
	for ($k = 0; $k < $i; $k++) {
		
		$out .='<div class="osclearfix"><div class="entryimg"><a rel="nofollow" target="_blank" href="';
		$out .= $animals[$k][0];	
		$out .='">';
		$out .=  $animals[$k][1];
		$out .='</a></div><div><div class="entrytitle"><a style="font-size:16px;" rel="nofollow" target="_blank" href="';	
		$out .= $animals[$k][0];
		$out .='">';	
		$out .= $animals[$k][2];
		$out .='</a></div><div class="entrydescrip" style="font-size:15px;margin-bottom: 12px;">';
		$out .= $animals[$k][3] . '..';		
		$out .='</div></div></div>';
		
	}	
	}
	
	$out .='</div>';
	
	return $out;	
}
/* Register All Shorcodes At Once */
add_action( 'init', 'sw_register_shortcodes');

function sw_register_shortcodes(){
	// Registered Shortcodes
	add_shortcode ('i20_Sidebar_Widgets', 'sw_custom_plugin_form_display');
};

function custom_plugin_register_settings() {
    register_setting('custom_plugin_options_group', 'how_many_records_id');
    register_setting('custom_plugin_options_group', 'height_of_i20_sidebar_id');
    register_setting('custom_plugin_options_group', 'sel_border');	
	register_setting('custom_plugin_options_group', 'category_miscellaneous');
	register_setting('custom_plugin_options_group', 'category_digitalization');	
	register_setting('custom_plugin_options_group', 'category_health');
	register_setting('custom_plugin_options_group', 'category_business_bay');
	register_setting('custom_plugin_options_group', 'category_automobiles');
	register_setting('custom_plugin_options_group', 'category_horoscope');
	register_setting('custom_plugin_options_group', 'category_makeup');	
	register_setting('custom_plugin_options_group', 'category_tourism');
	register_setting('custom_plugin_options_group', 'category_career');
	register_setting('custom_plugin_options_group', 'category_financial_advisor');
	register_setting('custom_plugin_options_group', 'category_educational');	
	register_setting('custom_plugin_options_group', 'category_insurance');
	register_setting('custom_plugin_options_group', 'category_home_decor');
	register_setting('custom_plugin_options_group', 'category_skincare');
	register_setting('custom_plugin_options_group', 'category_blogging');
	register_setting('custom_plugin_options_group', 'category_real_estate');
	register_setting('custom_plugin_options_group', 'category_technologies');
	register_setting('custom_plugin_options_group', 'category_shopping');	
	register_setting('custom_plugin_options_group', 'category_sports');
	register_setting('custom_plugin_options_group', 'category_meditation');
	register_setting('custom_plugin_options_group', 'category_hair_care');	
	register_setting('custom_plugin_options_group', 'category_recipes');
	register_setting('custom_plugin_options_group', 'category_dating');
	register_setting('custom_plugin_options_group', 'category_kids');
	register_setting('custom_plugin_options_group', 'category_digital_marketing');	
	register_setting('custom_plugin_options_group', 'category_fashion');
	register_setting('custom_plugin_options_group', 'category_weight_loss');
	register_setting('custom_plugin_options_group', 'category_seo_blog');
}

add_action('admin_init', 'custom_plugin_register_settings');

function custom_plugin_setting_page() {
  // add_options_page(string $page_title, string $menu_title, string $capability, string $menu_slug, callable $function = '')
   add_options_page('Custom Plugin', 'i20 Sidebar Widgets', 'manage_options', 'custom-plugin-setting-url', 'custom_page_html_form');
   // custom_page_html_form is the function in which I have written the HTML for my custom plugin form.
}

function custom_page_html_form() { ?>
    <div class="wrap">
        <h2>i20 Sidebar Widgets Settings</h2>
        <form method="post" action="options.php">
            <?php settings_fields('custom_plugin_options_group'); ?>

            <table class="form-table">			
				<tr>
                    <th><label for="third_field_id">Categories</label></th>
                    <td>
                        <div style="float:left;margin-right: 20px;">
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_miscellaneous') == "category_miscellaneous") { ?> checked <?php } ?> value="category_miscellaneous" type="checkbox" name="category_miscellaneous" id="category_miscellaneous" /></div>
								<div style="float:left;">Miscellaneous</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_digitalization') == "category_digitalization") { ?> checked <?php } ?> value="category_digitalization" type="checkbox" name="category_digitalization" id="category_digitalization" /></div>
								<div style="float:left;">Digitalization</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_health') == "category_health") { ?> checked <?php } ?> value="category_health" type="checkbox" name="category_health" id="category_health" /></div>
								<div style="float:left;">Health & Fitness</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_business_bay') == "category_business_bay") { ?> checked <?php } ?> value="category_business_bay" type="checkbox" name="category_business_bay" id="category_business_bay" /></div>
								<div style="float:left;">Business Bay</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_automobiles') == "category_automobiles") { ?> checked <?php } ?> value="category_automobiles" type="checkbox" name="category_automobiles" id="category_automobiles" /></div>
								<div style="float:left;">Automobiles</div>
							</div>	
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_horoscope') == "category_horoscope") { ?> checked <?php } ?> value="category_horoscope" type="checkbox" name="category_horoscope" id="category_horoscope" /></div>
								<div style="float:left;">Free Horoscope</div>
							</div>	
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_makeup') == "category_makeup") { ?> checked <?php } ?> value="category_makeup" type="checkbox" name="category_makeup" id="category_makeup" /></div>
								<div style="float:left;">Makeup Ideas</div>
							</div>
						</div>
						<div style="float:left;margin-right: 20px;">
							<div>
								<div style="float:left;"><input <?php if (get_option('category_tourism') == "category_tourism") { ?> checked <?php } ?> value="category_tourism" type="checkbox" name="category_tourism" id="category_tourism" /></div>
								<div style="float:left;">Travel & Tourism</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_career') == "category_career") { ?> checked <?php } ?> value="category_career" type="checkbox" name="category_career" id="category_career" /></div>
								<div style="float:left;">Tips for Career</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_financial_advisor') == "category_financial_advisor") { ?> checked <?php } ?> value="category_financial_advisor" type="checkbox" name="category_financial_advisor" id="category_financial_advisor" /></div>
								<div style="float:left;">Financial Advisor</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_educational') == "category_educational") { ?> checked <?php } ?> value="category_educational" type="checkbox" name="category_educational" id="category_educational" /></div>
								<div style="float:left;">Educational Resources</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_insurance') == "category_insurance") { ?> checked <?php } ?> value="category_insurance" type="checkbox" name="category_insurance" id="category_insurance" /></div>
								<div style="float:left;">Insurance Handbook</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_home_decor') == "category_home_decor") { ?> checked <?php } ?> value="category_home_decor" type="checkbox" name="category_home_decor" id="category_home_decor" /></div>
								<div style="float:left;">Home Decor</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_skincare') == "category_skincare") { ?> checked <?php } ?> value="category_skincare" type="checkbox" name="category_skincare" id="category_skincare" /></div>
								<div style="float:left;">Skincare Tips</div>
							</div>
						</div>
						<div style="float:left;margin-right: 20px;">
							<div>
								<div style="float:left;"><input <?php if (get_option('category_blogging') == "category_blogging") { ?> checked <?php } ?> value="category_blogging" type="checkbox" name="category_blogging" id="category_blogging" /></div>
								<div style="float:left;">Blogging Tips</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_real_estate') == "category_real_estate") { ?> checked <?php } ?> value="category_real_estate" type="checkbox" name="category_real_estate" id="category_real_estate" /></div>
								<div style="float:left;">Real Estate Consulting</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_technologies') == "category_technologies") { ?> checked <?php } ?> value="category_technologies" type="checkbox" name="category_technologies" id="category_technologies" /></div>
								<div style="float:left;">Technologies</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_shopping') == "category_shopping") { ?> checked <?php } ?> value="category_shopping" type="checkbox" name="category_shopping" id="category_shopping" /></div>
								<div style="float:left;">Shopping</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_sports') == "category_sports") { ?> checked <?php } ?> value="category_sports" type="checkbox" name="category_sports" id="category_sports" /></div>
								<div style="float:left;">For Sports Lovers</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_meditation') == "category_meditation") { ?> checked <?php } ?> value="category_meditation" type="checkbox" name="category_meditation" id="category_meditation" /></div>
								<div style="float:left;">Yoga & Meditation</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_hair_care') == "category_hair_care") { ?> checked <?php } ?> value="category_hair_care" type="checkbox" name="category_hair_care" id="category_hair_care" /></div>
								<div style="float:left;">Hair Care Tips</div>
							</div>
						</div>
						<div style="float:left;">
							<div>
								<div style="float:left;"><input <?php if (get_option('category_recipes') == "category_recipes") { ?> checked <?php } ?> value="category_recipes" type="checkbox" name="category_recipes" id="category_recipes" /></div>
								<div style="float:left;">Easy Recipes</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_dating') == "category_dating") { ?> checked <?php } ?> value="category_dating" type="checkbox" name="category_dating" id="category_dating" /></div>
								<div style="float:left;">Love & Dating</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_kids') == "category_kids") { ?> checked <?php } ?> value="category_kids" type="checkbox" name="category_kids" id="category_kids" /></div>
								<div style="float:left;">Care for Kids</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_digital_marketing') == "category_digital_marketing") { ?> checked <?php } ?> value="category_digital_marketing" type="checkbox" name="category_digital_marketing" id="category_digital_marketing" /></div>
								<div style="float:left;">Digital Marketing</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_fashion') == "category_fashion") { ?> checked <?php } ?> value="category_fashion" type="checkbox" name="category_fashion" id="category_fashion" /></div>
								<div style="float:left;">Fashion & Fantacy</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_weight_loss') == "category_weight_loss") { ?> checked <?php } ?> value="category_weight_loss" type="checkbox" name="category_weight_loss" id="category_weight_loss" /></div>
								<div style="float:left;">Weight Loss Solution</div>
							</div>
							<div style="clear:both;padding-top: 4px;">
								<div style="float:left;"><input <?php if (get_option('category_seo_blog') == "category_seo_blog") { ?> checked <?php } ?> value="category_seo_blog" type="checkbox" name="category_seo_blog" id="category_seo_blog" /></div>
								<div style="float:left;">SEO Blog</div>
							</div>
						</div>						
                    </td>
                </tr>
			
				<tr>
                    <th><label for="height_of_i20_sidebar_id">Height of i20 Sidebar</label></th>
                    <td>
                        <input type='text' style="width: 48px;" id="height_of_i20_sidebar_id" name="height_of_i20_sidebar_id" value="<?php echo esc_attr(get_option('height_of_i20_sidebar_id')); ?>" onkeypress="return isNumber(event);" maxlength="4" onkeyup="this.value = minmax(this.value, 0, 1200)" />
						<span style="color: #aaaaaa;">px</span>
                    </td>
                </tr>
				
                <tr>
                    <th><label for="first_field_id">How many Records?</label></th>
                    <td>
                        <input type='text' style="width: 36px;" id="how_many_records_id" name="how_many_records_id" value="<?php echo esc_attr(get_option('how_many_records_id')); ?>" onkeypress="return isNumber(event);" maxlength="2" onkeyup="this.value = minmax(this.value, 0, 32)" />
						<span style="color: #aaaaaa;">(Maximum 32 records)</span>
                    </td>
                </tr>

                <tr>
                    <th><label for="third_field_id">Border</label></th>
                    <td>
						<select id="sel_border" name="sel_border" style="width: 67px;">
							<option <?php if (get_option('sel_border') == 1) { ?> selected <?php } ?> value="1">Yes</option>
							<option <?php if (get_option('sel_border') == 0) { ?> selected <?php } ?> value="0">No</option>
						</select>						
                    </td>
                </tr>				
				
            </table>

			<div><span style="color:red;">*</span> Display Anywhere using Shortcode [i20_Sidebar_Widgets]</div>
			
			<script>
				function isNumber(evt) {
					evt = (evt) ? evt : window.event;
					var charCode = (evt.which) ? evt.which : evt.keyCode;
					if (charCode > 31 && (charCode < 48 || charCode > 57)) {
						return false;
					}
					return true;
				}
				
				function minmax(value, min, max) 
				{
					if(parseInt(value) < min) 
						return min; 
					else if(parseInt(value) > max) 
						return max; 
					else return value;
				}
			</script>

            <?php submit_button(); ?>
    </div>
<?php } ?>

<?php
add_action('admin_menu', 'custom_plugin_setting_page');